# Generated by Django 5.1.1 on 2024-09-13 09:15

import django_db_views.migration_functions
import django_db_views.operations
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("effect_reports", "0005_auto_20240912_1156"),
        ("effect_subject", "0117_bloodresultschem_sodium_abnormal_and_more"),
    ]

    operations = [
        django_db_views.operations.ViewRunPython(
            code=django_db_views.migration_functions.ForwardViewMigration(
                "select *, uuid() as id, now() as `created`, 'onstudy_missing_lab_values_view' as `report_model` from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing sodium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.sodium_value IS NULL OR crf.sodium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.mysql",
            ),
            reverse_code=django_db_views.migration_functions.BackwardViewMigration(
                "select *, uuid() as id, now() as `created`, 'onstudy_missing_lab_values_view' as `report_model` from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.mysql",
            ),
            atomic=False,
        ),
        django_db_views.operations.ViewRunPython(
            code=django_db_views.migration_functions.ForwardViewMigration(
                "select *, get_random_uuid() as id, now() as created, 'onstudy_missing_lab_values_view' as report_model from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing sodium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.sodium_value IS NULL OR crf.sodium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.postgresql",
            ),
            reverse_code=django_db_views.migration_functions.BackwardViewMigration(
                "select *, get_random_uuid() as id, now() as created, 'onstudy_missing_lab_values_view' as report_model from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.postgresql",
            ),
            atomic=False,
        ),
        django_db_views.operations.ViewRunPython(
            code=django_db_views.migration_functions.ForwardViewMigration(
                "select *, uuid() as id, datetime() as created, 'onstudy_missing_lab_values_view' as report_model from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing sodium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.sodium_value IS NULL OR crf.sodium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.sqlite3",
            ),
            reverse_code=django_db_views.migration_functions.BackwardViewMigration(
                "select *, uuid() as id, datetime() as created, 'onstudy_missing_lab_values_view' as report_model from (SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultschem AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'chemistry' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.lpcsf' AS label_lower, 'CSFC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_lpcsf AS crf ON req.id = crf.csf_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'csf_culture' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_bloodresultsfbc AS crf ON req.id = crf.requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'fbc' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT req.subject_identifier, req.id AS original_id, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified, 'effect_subject.tbdiagnostics' AS label_lower, 'SPM requisitioned but not entered' AS label, COUNT(*) AS records FROM effect_subject_subjectrequisition AS req LEFT JOIN effect_subject_tbdiagnostics AS crf ON req.id = crf.sputum_requisition_id LEFT JOIN effect_subject_subjectvisit AS v ON v.id = req.subject_visit_id LEFT JOIN edc_lab_panel AS panel ON req.panel_id = panel.id WHERE panel.name = 'sputum' AND req.is_drawn = 'Yes' AND crf.id IS NULL GROUP BY req.id, req.subject_identifier, req.subject_visit_id, req.report_datetime, req.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, req.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alt_value IS NULL OR crf.alt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing creatinine value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.creatinine_value IS NULL OR crf.creatinine_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing albumin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.albumin_value IS NULL OR crf.albumin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing alp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.alp_value IS NULL OR crf.alp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ast value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ast_value IS NULL OR crf.ast_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing crp value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.crp_value IS NULL OR crf.crp_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing egfr value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.egfr_value IS NULL OR crf.egfr_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing magnesium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.magnesium_value IS NULL OR crf.magnesium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing potassium value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.potassium_value IS NULL OR crf.potassium_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing ggt value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.ggt_value IS NULL OR crf.ggt_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing urea value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.urea_value IS NULL OR crf.urea_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultschem' AS label_lower, 'CHEM: missing tbil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultschem AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.tbil_value IS NULL OR crf.tbil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing haemoglobin value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.haemoglobin_value IS NULL OR crf.haemoglobin_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing wbc value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.wbc_value IS NULL OR crf.wbc_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing platelets value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.platelets_value IS NULL OR crf.platelets_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_value IS NULL OR crf.neutrophil_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing neutrophil_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.neutrophil_diff_value IS NULL OR crf.neutrophil_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_value IS NULL OR crf.lymphocyte_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified UNION SELECT v.subject_identifier, crf.id AS original_id, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified, 'effect_subject.bloodresultsfbc' AS label_lower, 'FBC: missing lymphocyte_diff value/units' AS label, COUNT(*) AS records FROM effect_subject_bloodresultsfbc AS crf LEFT JOIN effect_subject_subjectvisit AS v ON v.id = crf.subject_visit_id WHERE crf.lymphocyte_diff_value IS NULL OR crf.lymphocyte_diff_units IS NULL GROUP BY v.subject_identifier, crf.subject_visit_id, crf.report_datetime, crf.site_id, v.visit_code, v.visit_code_sequence, v.schedule_name, crf.modified) as A ORDER BY subject_identifier, site_id",
                "onstudy_missing_lab_values_view",
                engine="django.db.backends.sqlite3",
            ),
            atomic=False,
        ),
    ]
